Unified CCE Software Compatibility Matrix for 8.0(x)

From DocWiki

(Difference between revisions)
Jump to: navigation, search
m (1 revision)
m (1 revision: Updated EIM WIM versions per Emmanuel Badoo)
(6 intermediate revisions not shown)
Line 6: Line 6:
----
----
 +
{| border="1" class="wikitable"
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" |
 +
'''<font size="3">Introduction</font>'''
 +
 +
|-
 +
| '''This compatibility matrix specifies all supported configurations and versions for Cisco Unified Contact Center Enterprise 8.0(x). The information in this compatibility matrix supersedes compatibility information in any other Cisco Unified Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.'''
 +
|-
 +
|
 +
<br>
== Unified CCE 8.0(x) Product Sets  ==
== Unified CCE 8.0(x) Product Sets  ==
-
{| width="800" cellspacing="1" cellpadding="1" border="1"
+
{| cellspacing="1" cellpadding="1" width="800" border="1"
|-
|-
! scope="col" | Unified CM  
! scope="col" | Unified CM  
! scope="col" | IVR (IP-IVR and  
! scope="col" | IVR (IP-IVR and  
-
CVP [formerly ISN])  
+
CVP [formerly ISN])
! scope="col" | PG/CAD/CTI OS <br>Server  
! scope="col" | PG/CAD/CTI OS <br>Server  
! scope="col" | CTI OS  
! scope="col" | CTI OS  
-
Desktop  
+
Desktop
! scope="col" | Unified  
! scope="col" | Unified  
Intelligence  
Intelligence  
-
Center  
+
Center
! scope="col" | Unified  
! scope="col" | Unified  
-
EIM/WIM  
+
EIM/WIM
! scope="col" | Unified CRM  
! scope="col" | Unified CRM  
-
Version  
+
Version
-
! scope="col" | RSM  
+
! scope="col" | RSM&nbsp; &nbsp;
! scope="col" | Unified  
! scope="col" | Unified  
-
CCMP  
+
CCMP
|-
|-
-
| valign="top" | 8.0(3)  
+
| valign="top" | 8.0(3)<br>8.0(2)<br>8.0(1)  
| valign="top" | IP IVR <br>8.0(x)  
| valign="top" | IP IVR <br>8.0(x)  
CVP <br>8.5(x)  
CVP <br>8.5(x)  
-
8.0(1)  
+
8.0(1)
 +
 
 +
| valign="top" | PG 8.0(x)<br>7.5(X)<br>7.2(X)<br>7.1(X)<br>
 +
CAD <br>7.5<br>CTI OS 8.0(x)<br>7.5(X)<br>7.2(X)<br>7.1(X)<br>
-
| valign="top" | 8.0(x)<br>7.5
 
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)  
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)  
| valign="top" |  
| valign="top" |  
-
9.1(x)
+
9.1(x)  
9.0(x)  
9.0(x)  
-
8.5(x)<br>8.0(x)  
+
8.5(x)<br>8.0(x)
 +
 
 +
| valign="top" |
 +
9.0(2)
 +
 
 +
9.0(1)
 +
 
 +
4.4(1)<br>4.3(2) <br>4.3(1)
-
| valign="top" | 4.4 <br>4.3(2) <br>4.3(1)
+
| valign="top" | &nbsp;CRM for Siebel 8.0(x)  
-
| valign="top" | CRM for Siebel 8.0(x)  
+
CRM for PeopleSoft 1.1 (2)  
CRM for PeopleSoft 1.1 (2)  
Line 58: Line 76:
CRM for Microsoft Dynamics CRM 1.1 (2)  
CRM for Microsoft Dynamics CRM 1.1 (2)  
-
CRM for SAP 1.0(2)  
+
CRM for SAP 1.0(2)
-
| valign="top" | 9.0(1)<br>8.0  
+
| valign="top" | 9.1(1)<br>9.0(1)<br>8.0  
| valign="top" | 8.5(x)<br>8.0(x)
| valign="top" | 8.5(x)<br>8.0(x)
|-
|-
-
| valign="top" | 8.0(2)  
+
| valign="top" | 7.1(5)<br>7.1(3)<br>7.1(2)  
-
| valign="top" | IP IVR <br>8.0(x)  
+
| valign="top" | IP IVR <br>8.0(x)<br>7.0(x)  
-
CVP <br>8.5(x)<br>8.0(1)  
+
CVP <br>8.5(x)<br>8.0(1)<br>7.0(2)
 +
 
 +
| valign="top" | PG 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>
 +
CAD <br>7.5<br>CTI OS 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>
-
| valign="top" | 8.0(x)<br>7.5
 
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)  
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)  
| valign="top" |  
| valign="top" |  
-
9.1(x)
+
9.1(x)  
9.0(x)  
9.0(x)  
-
8.5(x)<br>8.0(x)  
+
8.5(x)<br>8.0(x)
 +
 
 +
| valign="top" |
 +
9.0(2)
 +
 
 +
9.0(1)
 +
 
 +
4.4(1)
 +
 
 +
4.3(2)<br>4.3(1)
-
| valign="top" | 4.4 <br>4.3(2) <br>4.3(1)
+
| valign="top" | &nbsp;CRM for Siebel 8.0(x)  
-
| valign="top" | CRM for Siebel 8.0(x)  
+
CRM for PeopleSoft 1.1 (2)  
CRM for PeopleSoft 1.1 (2)  
Line 84: Line 112:
CRM for Microsoft Dynamics CRM 1.1 (2)  
CRM for Microsoft Dynamics CRM 1.1 (2)  
-
CRM for SAP 1.0(2)  
+
CRM for SAP 1.0(2)
-
| valign="top" | 9.0(1)<br>8.0  
+
| valign="top" | 9.1(1)<br>9.0(1)<br>8.0  
| valign="top" | 8.5(x)<br>8.0(x)
| valign="top" | 8.5(x)<br>8.0(x)
-
|-
+
|}
-
| valign="top" | 8.0(1)
+
-
| valign="top" | IP IVR <br>8.0(x)
+
-
CVP <br>8.5(x)<br>8.0(1)
+
-
| valign="top" | 8.0(x)<br>7.5
+
<br>
-
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)
+
-
| valign="top" |
+
-
9.1(x)
+
-
9.0(x)  
+
= Unified CCE 8.0(x) Notes  =
-
8.5(x)<br>8.0(x)  
+
#Unified CCE 8.0(2) or later is required for deployments that are integrated with Genesys Cisco T-Server.
 +
#Unified CCE 8.0 (1) Central Controller supports PGs running at the following versions for backward compatibility: 7.1(x), 7.2(x), 7.5(x).
 +
#Multiline Agent Feature is supported only with Unified CM 7.1(3) and later.
 +
#Outbound Option SIP Dialer:<br>Supports ISR G2 (39xx and 29xx) with PVDM2 or PVDM3 DSP card<br>Also supports 28xx, 38xx, AS5350xm, AS5400xm gateways with a PVDM2 DSP card<br>When needed for design, requires Cisco Unified SIP Proxy Version 1.4.1 or later<br>Supports IOS Release 15.1(x)T<br>CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.
 +
#Unified CM:<br>Unified CM 8.0 (1) is only supported with an Unified CCE 8.0(1) Peripheral Gateway (PG)<br>Unified CM features Join/Transfer Across Lines are supported only with Unified CM 7.1(3) and later
 +
#CTI OS:<br>The Client version must be at the same version of CTI OS Server or earlier<br>The CTI OS Server and the PG must be in the same maintenance release version.
 +
#Unified CVP: For required IOS versions for Gateways and Gatekeepers, see the Hardware and System Software Specification for Cisco Unified Customer Voice Portal.
 +
#Unified Expert Advisor requires:<br>Unified CCE 7.2(3) or Unified CCE 7.5(5) or Unified CCE 8.0(1)<br>Cisco Unified Personal Communicator 7.0 or Microsoft Office Communicator Server (and client) 2007 R2<br>Cisco Unified Presence Server 7.0(4) or Cisco Unified Presence Server 8.0(2)<br>CVP is optional, but only 7.0(2) is supported with Expert Advisor 7.6(1)
 +
#Enhancements were made to CMB 7.1(3) to support RT/RT-lite phones and other CUCM 8.0 features. These changes cannot be back ported to CMB versions 7.1(1) and 7.1(2). These versions will continue to work with ALL versions of UCCE, but WITHOUT support for multiline for Roundtable and Roundtable-Lite endpoints, and enhanced Administration UI. All versions of CMB support Callback/Blended Collaboration features.
 +
#CMB 7.1(3) minor release is compatible with UCCE 8.0(x) and above, and NOT backward compatible with older versions.
 +
#Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.
 +
#MR PG and Dialer must be at the same version.
-
| valign="top" | 4.4 <br>4.3(2) <br>4.3(1)
+
<br>
-
| valign="top" | CRM for Siebel 8.0(x)
+
-
CRM for PeopleSoft 1.1 (2)
+
-
CRM for Salesforce 1.1 (2)
+
= General Compatibility Notes and Limitations  =
-
CRM for Microsoft Dynamics CRM 1.1 (2)  
+
{| width="800" cellspacing="1" cellpadding="1" border="1"
 +
|-
 +
! scope="col" style="background-color: rgb(255,255,204); color: green" | Component
 +
! scope="col" style="background-color: rgb(255,255,204); color: green" | Notes
 +
|-
 +
| valign="top" | Phones
 +
| valign="top" | The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
 +
*Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
 +
*IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
 +
*See the [http://www.cisco.com/en/US/products/sw/voicesw/ps556/products_device_support_tables_list.html Cisco Unified Communications Manager Compatibility Guide ]for SIP and other phone protocol support.
-
CRM for SAP 1.0(2)
 
-
 
-
| valign="top" | 9.0(1)<br>8.0
 
-
| valign="top" | 8.5(x)<br>8.0(x)
 
|-
|-
-
| valign="top" | 7.1(5)  
+
| valign="top" | System Peripheral Gateway (PG) Deployments
-
| valign="top" | IP IVR <br>8.0(x)<br>7.0(x)  
+
| valign="top" | The following general limitations pertain to Unified CCE deployments that use the System PG:
-
CVP <br>8.5(x)<br>8.0(1)<br>7.0(2)
+
*E-Mail Manager Option, Web Collaboration Option (both end-of-life products), as well as E-Mail Interaction Manager and Web Interaction Manager (Unified EIM/WIM) are not supported with deployments that use the System PG. For Unified EIM/WIM documentation, see:[http://www.cisco.com/en/US/products/ps7233/tsd_products_support_series_home.html Cisco Unified E-Mail Interaction Manager ]and [http://www.cisco.com/en/US/products/ps7233/tsd_products_support_series_home.html Cisco Unified Web Interaction Manager].
-
| valign="top" | 8.0(x)<br>7.5
+
|}
-
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)
+
-
| valign="top" |
+
-
9.1(x)
+
-
9.0(x)
+
<br>
-
8.5(x)<br>8.0(x)
+
= Unified CCE Parent / Child Compatibility<br> =
-
| valign="top" | 4.3(2)<br>4.3(1)  
+
{| width="644" cellspacing="1" cellpadding="1" border="1"
-
| valign="top" | CRM for Siebel 8.0(x)  
+
|-
-
CRM for PeopleSoft 1.1 (2)  
+
! style="background-color: rgb(255,255,204); color: green" | Release<br>  
 +
! style="background-color: rgb(255,255,204); color: green" | Parent 7.2(x)  
 +
! style="background-color: rgb(255,255,204); color: green" | Parent 7.5(x)
 +
! style="background-color: rgb(255,255,204); color: green" | Parent 8.0(x)  
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.2(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.5(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" | '''Child 8.0(x)'''
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
| align="center" | Yes<br>
 +
|}
-
CRM for Salesforce 1.1 (2)
+
<br>
-
CRM for Microsoft Dynamics CRM 1.1 (2)
+
= NAM/CICM&nbsp;Compatibility<br>  =
-
CRM for SAP 1.0(2)
+
{| cellspacing="1" cellpadding="1" border="1" style="width: 600px; height: 179px;"
-
 
+
|-
-
| valign="top" | 9.0(1)<br>8.0
+
! scope="col" style="background-color: rgb(255,255,204); color: green" | NAM&nbsp;Version
-
| valign="top" | 8.5(x)<br>8.0(x)
+
! scope="col" style="background-color: rgb(255,255,204); color: green" | CICM&nbsp;Version
|-
|-
-
| valign="top" | 7.1(3)
+
| align="center" | 8.0
-
| valign="top" | IP IVR <br>8.0(x)<br>7.0(x)
+
| align="center" | 7.5<br>
-
CVP <br>8.5(x)<br>8.0(1)<br>7.0(2)
+
|-
 +
| align="center" | 8.0<br>  
 +
| align="center" | 7.2
 +
|}
-
| valign="top" | 8.0(x)
+
<br>  
-
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)
+
-
| valign="top" |
+
-
9.1(x)
+
-
9.0(x)
+
'''Note''': The columns can be switched for forward compatibilty. For example, NAM at 7.5 and CICM at 8.0 is a supported configuration. <br>
-
8.5(x)<br>8.0(x)
+
= VDI &amp; Cisco VXI Support<br> =
-
| valign="top" | 4.3(2)<br>4.3(1)  
+
{| cellspacing="1" cellpadding="1" border="1" style="width: 800px; height: 493px;"
-
| valign="top" | CRM for Siebel 8.0(x)  
+
|-
-
CRM for PeopleSoft 1.1 (2)  
+
! style="background-color: rgb(255,255,204); color: green" scope="col" | Cisco Client Type
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Version
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Virtual Desktop Infrastructure
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | OS Compatibility
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Cisco VXI Clients
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
 +
| valign="top" | 8.0(1)
 +
| valign="top" | VMWare View 3.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Unsupported<br>Windows XP 32 bit - Supported
 +
| valign="top" | VXC 2100 - N/A<br>VXC 2200 - N/A<br>VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2211 - Supported
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)  
 +
| valign="top" | 8.0(1)
 +
| valign="top" | Citrix XenDesktop 5.0 or 6.0
 +
| valign="top" | Windows 7 32 bit - Supported<br>Windows 7 WoW64 - Unsupported<br>Win XP 32 Bit - Supported
 +
| valign="top" | VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971<br>VXC 2200 - Supported<br>VXC 2111 - N/A<br>VXC 2211 - N/A
 +
|-
 +
| valign="top" | Cisco Agent Desktop (CAD)  
 +
| valign="top" | All
 +
| valign="top" | Not Supported
 +
| valign="top" | Not Supported
 +
| valign="top" | Not Supported
 +
|}
-
CRM for Salesforce 1.1 (2)
+
'''Note:'''<br>
-
CRM for Microsoft Dynamics CRM 1.1 (2)  
+
*UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.  
 +
*Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
 +
*The customer is not required to use Cisco VXI endpoints in a VDI solution. The customer can use any VDI endpoint that supports the specific Citrix or VMWare VDI solution versions supported by Cisco. The customer is responsible for ensuring that bandwidth and any other deployment considerations ensure that the solution can meet the performance and timing requirements of CTI-OS.
 +
*For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document. <br>
-
CRM for SAP 1.0(2)
+
= Application Virtualization<br>  =
-
| valign="top" | 9.0(1)<br>8.0
+
Windows Server 2008 R2 (SP1)  
-
| valign="top" | 8.5(x)<br>8.0(x)
+
-
|-
+
-
| valign="top" | 7.1(2)
+
-
| valign="top" | IP IVR <br>7.0(x)
+
-
CVP <br>8.5(x)<br>8.0(1)<br>7.0(2)  
+
 +
{| width="800" cellspacing="1" cellpadding="1" border="1"
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Cisco Client Version
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Version
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Citrix/XenApp
 +
! style="background-color: rgb(255,255,204); color: green" scope="col" | Remote Desktop Services platform
 +
|-
 +
| valign="top" | CTI-OS Clients (All CILs)
| valign="top" | 8.0(x)  
| valign="top" | 8.0(x)  
-
| valign="top" | 8.0(x)<br>7.5(x)<br>7.2(x)<br>7.1(x)<br>7.0(x)
+
| valign="top" | XenApp 5.0  
-
| valign="top" |  
+
| valign="top" | Windows Server 2008 R2 (SP1)<br>
-
9.1(x)
+
|}
-
9.0(x)
+
<br>
-
8.5(x)<br>8.0(x)
+
<br>
-
| valign="top" | 4.3(2)<br>4.3(1)
+
= Siebel Compatibility<br> =
-
| valign="top" | CRM for Siebel 8.0(x)
+
-
CRM for PeopleSoft 1.1 (2)
+
-
CRM for Salesforce 1.1 (2)
+
<br>
-
CRM for Microsoft Dynamics CRM 1.1 (2)  
+
{| width="298" cellspacing="1" cellpadding="1" border="1"
 +
|-
 +
! style="background-color: rgb(255,255,204); color: green" | Cisco Siebel Driver <br>
 +
! style="background-color: rgb(255,255,204); color: green" | Siebel Release<br>
 +
|-
 +
| align="center" | 8.0(x)
 +
| align="center" | 7.8(x), 8.0(x), 8.1(x)
 +
|}
-
CRM for SAP 1.0(2)<br>  
+
<br>
-
| valign="top" | 9.0(1)<br>8.0
+
= ICM-to-ICM Gateway Requirements  =
-
| valign="top" | 8.5(x)<br>8.0(x)
+
 
-
|}
+
<br>The following are system requirements for ICM-to-ICM Gateway.  
 +
 
 +
*Both Client ICM and Server ICM must be supported releases of Unified ICME and the two versions must appear on a single row in the table below&nbsp; If two connected ICMs are running with different releases of Unified ICME, only the ICM-to-ICM Gateway features supported by the lowest release are available.<br>
<br>  
<br>  
-
=== Unified CCE 8.0(x) Notes ===
+
== ICM-to-ICM Gateway Client and Server Release Requirements ==
-
#Unified CCE 8.0(2) or later is required for deployments that are integrated with Genesys Cisco T-Server.
+
{| width="800" cellspacing="1" cellpadding="1" border="1"
-
#Unified CCE 8.0 (1) Central Controller supports PGs running at the following versions for backward compatibility: 7.1(x), 7.2(x), 7.5(x).
+
|-
-
#Multiline Agent Feature is supported only with Unified CM 7.1(3) and later.
+
! style="background-color: rgb(255,255,204); color: green" scope="col" | Client/Server 1  
-
#Outbound Option SIP Dialer:<br>Supports ISR G2 (39xx and 29xx) with PVDM2 or PVDM3 DSP card<br>Also supports 28xx, 38xx, AS5350xm, AS5400xm gateways with a PVDM2 DSP card<br>When needed for design, requires Cisco Unified SIP Proxy Version 1.4.1 or later<br>Supports IOS Release 15.1(x)T<br>CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.
+
! style="background-color: rgb(255,255,204); color: green" scope="col" | Client/Server 2
-
#Unified CM:<br>Unified CM 8.0 (1) is only supported with an Unified CCE 8.0(1) Peripheral Gateway (PG)<br>Unified CM features Join/Transfer Across Lines are supported only with Unified CM 7.1(3) and later
+
! style="background-color: rgb(255,255,204); color: green" scope="col" | Comments
-
#CTI OS:<br>The Client version must be at the same version of CTI OS Server or earlier<br>The CTI OS Server and the PG must be in the same maintenance release version.
+
|-
-
#Unified CVP: For required IOS versions for Gateways and Gatekeepers, see the Hardware and System Software Specification for Cisco Unified Customer Voice Portal.
+
| valign="top" | 7.5, 8.0  
-
#Unified Expert Advisor requires:<br>Unified CCE 7.2(3) or Unified CCE 7.5(5) or Unified CCE 8.0(1)<br>Cisco Unified Personal Communicator 7.0 or Microsoft Office Communicator Server (and client) 2007 R2<br>Cisco Unified Presence Server 7.0(4) or Cisco Unified Presence Server 8.0(2)<br>CVP is optional, but only 7.0(2) is supported with Expert Advisor 7.6(1)
+
| valign="top" | 8.0, 7.5
-
#Enhancements were made to CMB 7.1(3) to support RT/RT-lite phones and other CUCM 8.0 features. These changes cannot be back ported to CMB versions 7.1(1) and 7.1(2). These versions will continue to work with ALL versions of UCCE, but WITHOUT support for multiline for Roundtable and Roundtable-Lite endpoints, and enhanced Administration UI. All versions of CMB support Callback/Blended Collaboration features.  
+
| valign="top" | UCCE 8.0(1) is a major release.
-
#CMB 7.1(3) minor release is compatible with UCCE 8.0(x) and above, and NOT backward compatible with older versions.
+
|}
<br>
<br>
-
== IP Phone Support  ==
+
= IP Phone Support  =
{| width="800" cellspacing="1" cellpadding="1" border="1"
{| width="800" cellspacing="1" cellpadding="1" border="1"

Revision as of 19:03, 19 February 2014

Go to: Guidelines to Edit the Compatibility Matrix for Unified CCE

Go to: Compatibility Matrix for Unified CCE

Go to: Category:Unified Contact Center Enterprise


Introduction

This compatibility matrix specifies all supported configurations and versions for Cisco Unified Contact Center Enterprise 8.0(x). The information in this compatibility matrix supersedes compatibility information in any other Cisco Unified Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.


Contents

Unified CCE 8.0(x) Product Sets

Unified CM IVR (IP-IVR and

CVP [formerly ISN])

PG/CAD/CTI OS
Server
CTI OS

Desktop

Unified

Intelligence

Center

Unified

EIM/WIM

Unified CRM

Version

RSM    Unified

CCMP

8.0(3)
8.0(2)
8.0(1)
IP IVR
8.0(x)

CVP
8.5(x)

8.0(1)

PG 8.0(x)
7.5(X)
7.2(X)
7.1(X)

CAD
7.5
CTI OS 8.0(x)
7.5(X)
7.2(X)
7.1(X)

8.0(x)
7.5(x)
7.2(x)
7.1(x)
7.0(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)
4.3(2)
4.3(1)

 CRM for Siebel 8.0(x)

CRM for PeopleSoft 1.1 (2)

CRM for Salesforce 1.1 (2)

CRM for Microsoft Dynamics CRM 1.1 (2)

CRM for SAP 1.0(2)

9.1(1)
9.0(1)
8.0
8.5(x)
8.0(x)
7.1(5)
7.1(3)
7.1(2)
IP IVR
8.0(x)
7.0(x)

CVP
8.5(x)
8.0(1)
7.0(2)

PG 8.0(x)
7.5(x)
7.2(x)
7.1(x)

CAD
7.5
CTI OS 8.0(x)
7.5(x)
7.2(x)
7.1(x)

8.0(x)
7.5(x)
7.2(x)
7.1(x)
7.0(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)

4.3(2)
4.3(1)

 CRM for Siebel 8.0(x)

CRM for PeopleSoft 1.1 (2)

CRM for Salesforce 1.1 (2)

CRM for Microsoft Dynamics CRM 1.1 (2)

CRM for SAP 1.0(2)

9.1(1)
9.0(1)
8.0
8.5(x)
8.0(x)


Unified CCE 8.0(x) Notes

  1. Unified CCE 8.0(2) or later is required for deployments that are integrated with Genesys Cisco T-Server.
  2. Unified CCE 8.0 (1) Central Controller supports PGs running at the following versions for backward compatibility: 7.1(x), 7.2(x), 7.5(x).
  3. Multiline Agent Feature is supported only with Unified CM 7.1(3) and later.
  4. Outbound Option SIP Dialer:
    Supports ISR G2 (39xx and 29xx) with PVDM2 or PVDM3 DSP card
    Also supports 28xx, 38xx, AS5350xm, AS5400xm gateways with a PVDM2 DSP card
    When needed for design, requires Cisco Unified SIP Proxy Version 1.4.1 or later
    Supports IOS Release 15.1(x)T
    CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.
  5. Unified CM:
    Unified CM 8.0 (1) is only supported with an Unified CCE 8.0(1) Peripheral Gateway (PG)
    Unified CM features Join/Transfer Across Lines are supported only with Unified CM 7.1(3) and later
  6. CTI OS:
    The Client version must be at the same version of CTI OS Server or earlier
    The CTI OS Server and the PG must be in the same maintenance release version.
  7. Unified CVP: For required IOS versions for Gateways and Gatekeepers, see the Hardware and System Software Specification for Cisco Unified Customer Voice Portal.
  8. Unified Expert Advisor requires:
    Unified CCE 7.2(3) or Unified CCE 7.5(5) or Unified CCE 8.0(1)
    Cisco Unified Personal Communicator 7.0 or Microsoft Office Communicator Server (and client) 2007 R2
    Cisco Unified Presence Server 7.0(4) or Cisco Unified Presence Server 8.0(2)
    CVP is optional, but only 7.0(2) is supported with Expert Advisor 7.6(1)
  9. Enhancements were made to CMB 7.1(3) to support RT/RT-lite phones and other CUCM 8.0 features. These changes cannot be back ported to CMB versions 7.1(1) and 7.1(2). These versions will continue to work with ALL versions of UCCE, but WITHOUT support for multiline for Roundtable and Roundtable-Lite endpoints, and enhanced Administration UI. All versions of CMB support Callback/Blended Collaboration features.
  10. CMB 7.1(3) minor release is compatible with UCCE 8.0(x) and above, and NOT backward compatible with older versions.
  11. Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.
  12. MR PG and Dialer must be at the same version.


General Compatibility Notes and Limitations

Component Notes
Phones The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
  • Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
  • IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
  • See the Cisco Unified Communications Manager Compatibility Guide for SIP and other phone protocol support.
System Peripheral Gateway (PG) Deployments The following general limitations pertain to Unified CCE deployments that use the System PG:


Unified CCE Parent / Child Compatibility

Release
Parent 7.2(x) Parent 7.5(x) Parent 8.0(x)
Child 7.2(x) Yes
Yes
Yes
Child 7.5(x) Yes
Yes
Yes
Child 8.0(x) Yes
Yes
Yes


NAM/CICM Compatibility

NAM Version CICM Version
8.0 7.5
8.0
7.2


Note: The columns can be switched for forward compatibilty. For example, NAM at 7.5 and CICM at 8.0 is a supported configuration.

VDI & Cisco VXI Support

Cisco Client Type Version Virtual Desktop Infrastructure OS Compatibility Cisco VXI Clients
CTI-OS Clients (All CILs) 8.0(1) VMWare View 3.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Windows XP 32 bit - Supported
VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported
CTI-OS Clients (All CILs) 8.0(1) Citrix XenDesktop 5.0 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Win XP 32 Bit - Supported
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A
Cisco Agent Desktop (CAD) All Not Supported Not Supported Not Supported

Note:

  • UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.
  • Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
  • The customer is not required to use Cisco VXI endpoints in a VDI solution. The customer can use any VDI endpoint that supports the specific Citrix or VMWare VDI solution versions supported by Cisco. The customer is responsible for ensuring that bandwidth and any other deployment considerations ensure that the solution can meet the performance and timing requirements of CTI-OS.
  • For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.

Application Virtualization

Windows Server 2008 R2 (SP1)

Cisco Client Version Version Citrix/XenApp Remote Desktop Services platform
CTI-OS Clients (All CILs) 8.0(x) XenApp 5.0 Windows Server 2008 R2 (SP1)



Siebel Compatibility


Cisco Siebel Driver
Siebel Release
8.0(x) 7.8(x), 8.0(x), 8.1(x)


ICM-to-ICM Gateway Requirements


The following are system requirements for ICM-to-ICM Gateway.

  • Both Client ICM and Server ICM must be supported releases of Unified ICME and the two versions must appear on a single row in the table below  If two connected ICMs are running with different releases of Unified ICME, only the ICM-to-ICM Gateway features supported by the lowest release are available.


ICM-to-ICM Gateway Client and Server Release Requirements

Client/Server 1 Client/Server 2 Comments
7.5, 8.0 8.0, 7.5 UCCE 8.0(1) is a major release.


IP Phone Support

IP Phones Supported Notes
99xx series Y 9951 and 9971 are supported.
89xx series Y 8961 is supported.
69xx series Y 6921, 6941, 6961 are supported.
69xx phones are supported only with a single line configuration with Unified CM 7.1(2,) and are supported with multiple lines with Unified CM 7.1(3) and later.
797x Y 7970 model is not supported with Unified CM based Silent Monitor or RSM.
796x Y 7960 model is not supported with Unified CM based Silent Monitor or RSM.
794x Y 7940 model is not supported with Unified CM based Silent Monitor or RSM.
793x N
792x Y To use the Cisco Wireless IP Phone 792x as an agent phone and as a Cisco IP Phone Agent, consult and follow the Cisco Wireless IP Phone 792x Design and Deployment Guide to ensure proper operation. It is available at: http://www.cisco.com/go/srnd
791x Y 7910, 7911, and 7912 are supported with Unified CCE 8.0 (1).
791x series are not supported by Unified CCE based Silent Monitor or RSM.
7910 and 7912 IP Phones do not support the Desktop Silent Monitor feature. The 7910 SW phone does support this feature.
IP Communicator Y Versions 7.0 and 8.0 are supported.
Version 8.6.0.29 is supported for Release 8.5(x) and later.




Back to: Category:Unified Contact Center Enterprise

Rating: 5.0/5 (1 vote cast)

Personal tools